<?php
if ( ! defined( 'ABSPATH' ) ) exit;

function inboxify_fc_migrate_old_options() {
    $mappings = [
        'inboxify_api_key' => 'inboxify_fc_api_key',
        'inboxify_api_secret' => 'inboxify_fc_api_secret',
        'inboxify_lists' => 'inboxify_fc_lists',
        'inboxify_mappings' => 'inboxify_fc_mappings'
    ];

    foreach ($mappings as $old => $new) {
        $old_value = get_option($old);
        if ($old_value !== false && get_option($new) === false) {
            update_option($new, $old_value);
            delete_option($old);
        }
    }
}