<?php
if ( ! defined( 'ABSPATH' ) ) exit;

function inboxify_fc_get_field_config() {
    static $config = null;

    if ($config === null) {
        $json_path = plugin_dir_path(__FILE__) . '/inboxify-fields.json';
        if (file_exists($json_path)) {
            $config = json_decode(file_get_contents($json_path), true);
        } else {
            $config = [];
        }
    }

    return $config;
}
